package zwavejs

type CommandClass int

const (
	CommandClassDoorLock CommandClass = 98
	CommandClassUserCode CommandClass = 99
)

type CommandClassName string

const (
	CommandClassNameUserCode CommandClassName = "User Code"
)

type Property string

const (
	PropertyUserCode     Property = "userCode"
	PropertyUserIDStatus Property = "userIdStatus"
)

type EventSource string

const (
	EventSourceController EventSource = "controller"
	EventSourceNode       EventSource = "node"
)

type EventType string

const (
	EventTypeValueUpdated      EventType = "value updated"
	EventTypeStatisticsUpdated EventType = "statistics updated"
	EventTypeNotification      EventType = "notification"
)

type Command string

const (
	CommandInitialize     Command = "initialize"
	CommandStartListening Command = "start_listening"
	CommandNodeSetValue   Command = "node.set_value"
)
